На главную... Продукты | Технологии | Классификаторы | Проекты | Скачать | Цены| Форум | Статьи | Обучение | Контакты

Александр (Все сообщения пользователя)

Поиск  Пользователи  Правила  Войти
Форум » Пользователи » Александр
Выбрать дату в календареВыбрать дату в календаре

Страницы: 1 2 След.
Обновление программных продуктов для Astra Linux SE 1.4, Ориентировочные даты обновлений с версии 1.4 на 1.6
 
Владимир Железняков, добрый день.
Интересует тот же вопрос, для ГИС Карта и ГИС Оператор. Спасибо!
Комплекс ведения банка данных цифровых карт и данных ДЗЗ.
 
Добрый день.
Развернул Банк данных ЦК и ДЗЗ на Astra Linux SE 1.4 на одном хосте. С этого же хоста создал базу данных из прилагаемых файлов на другом хосте с Астрой(т. е. связь с сервером БД по сети есть).
Пытаюсь подключиться к БД, указав настройки во вкладке "Параметры БД"  (/geodbse/geodbse/admin/databank.php)
В итоге:

Параметры сохранены!
Ошибка подключения к БД!

В файле /var/Panorama/GoDBSE/geodbse/gwsse.log следующая запись:
2016-06-30 08:45:30 include.php: Расширение PostgreSQL не найдено!

Подскажите, пожалуйста, как можно решить проблему?

Решение: Нужно было установить пакет php5-pgsql
Изменено: Александр - 06.07.2016 17:06:53 (Найдено решение проблемы)
Не приходят тайлы при запросе GetTile, Operation request contains an invalid parameter value при запросе тайла через GetTile
 
Astra Linux SE 1.4
GISWebService SE 9.1.0

Добавил новую карту, пытаюсь получить тайл. Запрос из руководства пользователя [CODE]GISWebServiceSE/service.php?REQUEST=GetTile&SERVICE=wmts&VERSION=1.0.0&LAYER=0001&STYLE=default&FORMAT=image/png&tilematrixset=urn:ogc:def:wkss:OGC:1.0:GoogleMapsCompatible&tilerow=320&tilecol=620&tilematrix=10[/CODE] отрабатывает верно, даю такой же запрос на новый слой [CODE]GISWebServiceSE/service.php?REQUEST=GetTile&SERVICE=wmts&VERSION=1.0.0&LAYER=6&STYLE=default&FORMAT=image/png&tilematrixset=urn:ogc:def:wkss:OGC:1.0:GoogleMapsCompatible&tilerow=320&tilecol=620&tilematrix=10[/CODE] - получаю [CODE]<Exception code="InvalidParameterValue" locator="Layer">
<ExceptionText>Operation request contains an invalid parameter value </ExceptionText>[/CODE]
В чем может быть дело?
Работа с семантикой в ГИС Карта 2005 под Astra Linux, Не открывается привязанный файл из окна просмотра семантики
 
Astra Linux SE 1.4, ГИС Карта 2005 11.11.12

Объекту добавлена семантика "Метаданные RSW" с типом семантики "Имя файла зарегистрированного типа". Добавлен файл метаданных в формате электронной таблицы LibreOffice, но при просмотре семантики объекта он не открывается. В версии ГИС Карта под Windows этот функционал работает.

Вопрос: ошибка программы или под астра линукс есть нюансы при добавлении семантики?
Панель управления ГИС Сервер и SpatialDBService SE на Astra Linux 1.4, Не могу запустить панель управления
 
Версия Astra linux SE 1.4 .
Переустановил все заново, после установки ОС поставил пакеты libapache2-mod-php5 libapache2-mod-auth-pam через Synaptic с диска астры , они подтянули апач версии 2.2.22 , (также добавил в /etc/apache2/apache2.conf [B]ServerName localhost[/B] ). Настроил PAM согласно руководству, (php не настраивал, указана неверно ссылка на пункт 3.2 в руководстве) . В итоге работает.
Спасибо за помощь
Панель управления ГИС Сервер и SpatialDBService SE на Astra Linux 1.4, Не могу запустить панель управления
 
[QUOTE]Vladimir Letov пишет:
Модуль авторизации PAM для Apache находится в пакете libapache2-mod-auth-pam[/QUOTE]

устанавливал предварительно.

В логах апача после попытки запуска ничего не появляется
Панель управления ГИС Сервер и SpatialDBService SE на Astra Linux 1.4, Не могу запустить панель управления
 
Чем дальше в лес...
Стал настраивать PAM-авторизацию, apache вообще не хочет запускаться, ругаясь на нехватку библиотек
/etc/apache2/sites-available# a2enmod auth_pam
Enabling module auth_pam.
To activate the new configuration, you need to run:
 service apache2 restart
root@astra:/etc/apache2/sites-available# service apache2 restart
[FAIL] Restarting web server: apache2 failed!
[warn] The apache2 configtest failed. ... (warning).
Output of config test was:
apache2: Syntax error on line 244 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/auth_pam.load: Cannot load /usr/lib/apache2/modules/mod_auth_pam.so into server: /usr/lib/apache2/modules/mod_auth_pam.so: cannot open shared object file: No such file or directory
Action 'configtest' failed.
The Apache error log may have more information.
Панель управления ГИС Сервер и SpatialDBService SE на Astra Linux 1.4, Не могу запустить панель управления
 
Not Found

The requested URL /GISAdministrator/admin.php was not found on this server.
Apache/2.4.10 (Debian) Server at localhost Port 80

Да, пункт выполнил, в adminlist есть пользователь admin, добавил его как системного с паролем, дал полный доступ на нужные директории
Панель управления ГИС Сервер и SpatialDBService SE на Astra Linux 1.4, Не могу запустить панель управления
 
Установил и настроил apache\php , файл test.php в корне сайта открывается по адресу http://localhost/test.php, все корректно работает. Установил ГИС Сервер и Spatial DB Service SE -  не открывается панель упралвения по адресу http://localhost/GISAdministrator/admin.php и http://localhost/DBMapAdminSE/admin.php . Подскажите, пожалуйста, что мог сделать не так? При установке и настройке польлзовался официальной документацией КБ Панорамы
Подготовка ОС к установке GIS Web Service
 
Astra Linux SE 1.4
Gis Web Service SE

Добрый день.
Устанавливаю сервис согласно ПАРБ.00160-01 32 01.
Пункт 3,3 Установка и настройка Apache под Linux - все ок.(только нужно еще добавить в apache2.conf параметр ServerName localhost , без него у меня апач не запускался)
Далее Пункт 3.4 Установка и настройка PHP под Linux.

Установить PHP.
Настроить PHP аналогично пункту 3.
2.PHP должен поддерживать следующие библиотеки:
-
php_gd2
-
php_mbstring
-
php_sockets
-
php_xmlrpc

Уточните, пожалуйста, какие именно пакеты для php нужно установить? Нужен ли libapache2-mod-php5? И как, в итоге, должен выглядеть php.ini ?
Страницы: 1 2 След.



© КБ Панорама, 1991-2021

Регистрируясь или авторизуясь на форуме, Вы соглашаетесь с Политикой конфиденциальности